PUT
/
institutions
/
cards
/
{cardId}
/
customer
Update Card Customer
curl --request PUT \
  --url https://sandbox-api.cardcore.cloud/institutions/cards/{cardId}/customer \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "firstName": "John",
  "middleName": "Robert",
  "lastName": "Doe",
  "emailAddress": "[email protected]",
  "phoneNumber": "+2341234567890",
  "dateOfBirth": "1990-01-01T00:00:00.000Z",
  "address": {
    "line1": "123 Main Street",
    "line2": "Apt 4B",
    "city": "Lagos",
    "state": "Lagos",
    "country": "Nigeria",
    "postalCode": "100001"
  }
}
'
{
  "statusCode": 200,
  "message": "Customer Information Updated Successfully",
  "data": {
    "_id": "69d4dd694818713f69fec11b",
    "institution": "68da3e6080b90fbbb96716c9",
    "cardProgram": "68da531880b90fbbb9671b38",
    "referenceCode": "SUPRPR65228531775557727619",
    "scheme": "Mastercard",
    "type": "virtual",
    "bin": "0902322423",
    "expiryMonth": "05",
    "expiryYear": 2029,
    "pinEnabled": true,
    "seqNumber": "001",
    "enroll2FA": true,
    "status": "active",
    "expiryDate": "2029-05-17T00:00:00.000Z",
    "account": {
      "currency": "NGN",
      "type": "00",
      "number": "0117964837",
      "bankCode": "999241"
    },
    "customer": {
      "uniqueId": "9992410117964837",
      "firstName": "John",
      "middleName": "Robert",
      "lastName": "Doe",
      "emailAddress": "[email protected]",
      "phoneNumber": "+2341234567890",
      "dateOfBirth": "1990-01-01T00:00:00.000Z",
      "address": {
        "line1": "123 Main Street",
        "line2": "Apt 4B",
        "city": "Lagos",
        "state": "Lagos",
        "country": "Nigeria",
        "postalCode": "100001"
      }
    },
    "cardHolderId": "sandbox-cardholder-e2a5bbc7-f201-4ef1-af49-e19383a851b9",
    "lastFour": "2384",
    "pan": "090232fF2384",
    "cvv2": "tok_dev_BxiqEUdTyIdy7kqlPWSTKm",
    "icvv": "tok_dev_kIULobJIBIF6FRKTOclZgg",
    "serviceCode": "601",
    "printCard": false,
    "token": "sandbox-token-ccfc8c40-9ae6-4577-b6db-47cf3bee84db",
    "cvv": "tok_dev_kf9xEpfzCyHphXYcxiKUnv",
    "allowDigitization": false,
    "embossingName": "Prince Kyemuteh Muteh",
    "twoFAEnrolled": false,
    "pinAttempts": 0,
    "honorific": "",
    "gender": "",
    "createdAt": "2026-04-07T10:33:13.188Z",
    "updatedAt": "2026-05-25T12:38:20.932Z",
    "hash": "7307208218A127E8E928285CAC663D1B56740F1B",
    "secureData": "TQncGYwGLAP9Nb+mMz5rPEqiBUMTw92wBb16ixtKM8hvhuynLqFi+JR4qv1f03UOYPwwOqo/lGKaW7/Hi5xEjl/0+g0GbzXmcamBNDsHytJ1GE97j/T9rwuS9RxoYQZgdCowG+oy22q5P2HTDw4bbw5FWUP4XlbXJ+Al6sf8OzRyeTd+eLF2sdh26Kj6WX+aVc+hv464gpsliNHt8OJ3s5i6wtD5QC5QbmwHzGQkqhpAnlxxStrcyay6BxYsOKQW7Xc3rXBn+8hS2Kx6ln/ynkF2XfzKQbgvsRmer/S0tWJd80zcP09LlkMMZ2OPFG/G9KH72IPr4RKzWSa8GEcPjQ==",
    "id": "69d4dd694818713f69fec11b"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

cardId
string
required

Path parameter: cardId.

Body

application/json
firstName
string
required
middleName
string
required
lastName
string
required
emailAddress
string
required
phoneNumber
string
required
dateOfBirth
string<date-time>
required
address
object
required

Response

200 - application/json

Update Card Customer completed successfully.

The response is of type object.